Index: /trunk/SophyaExt/FitsIOServer/smakefile
===================================================================
--- /trunk/SophyaExt/FitsIOServer/smakefile	(revision 2979)
+++ /trunk/SophyaExt/FitsIOServer/smakefile	(revision 2980)
@@ -4,18 +4,17 @@
  
 clean:
-	 rm -f $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fitsautoreader.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitsswapper.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)fitsxntuple.o
+	 rm -f $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsautoreader.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)fitsxntuple.o $(SOPHYAOBJP)swfitsdtable.o
 	rm -f $(SOPHYALIBP)libFitsIOServer.a
  
-$(SOPHYALIBP)libFitsIOServer.a : $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fitsautoreader.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitsswapper.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)fitsxntuple.o
+$(SOPHYALIBP)libFitsIOServer.a : $(SOPHYAOBJP)datacirclefits.o $(SOPHYAOBJP)fabtcolread.o $(SOPHYAOBJP)fabtwriter.o $(SOPHYAOBJP)fboloread.o $(SOPHYAOBJP)fbtntintf.o $(SOPHYAOBJP)fiosinit.o $(SOPHYAOBJP)fitsautoreader.o $(SOPHYAOBJP)fitsbntbllineRW.o $(SOPHYAOBJP)fitsfile.o $(SOPHYAOBJP)fitshdtable.o $(SOPHYAOBJP)fitsinoutfile.o $(SOPHYAOBJP)fitslocalmap.o $(SOPHYAOBJP)fitsmanager.o $(SOPHYAOBJP)fitsntuple.o $(SOPHYAOBJP)fitsspherehealpix.o $(SOPHYAOBJP)fitsspherethetaphi.o $(SOPHYAOBJP)fitstarray.o $(SOPHYAOBJP)fitsxntuple.o $(SOPHYAOBJP)swfitsdtable.o
 	$(AR) $(ARFLAGS) $@ $? 
 	touch $(SOPHYAINCP)/SophyaConfInfo/libextsophya.objlist
  
-$(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc \
-  $(SOPHYAINCP)sopnamsp.h datacirclefits.h \
-  $(SOPHYAINCP)datacirclebase.h \
-  $(SOPHYAINCP)circle.h \
-  $(SOPHYAINCP)vector3d.h \
+$(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc $(SOPHYAINCP)sopnamsp.h \
+  datacirclefits.h $(SOPHYAINCP)datacirclebase.h \
+  $(SOPHYAINCP)circle.h $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)unitvector.h \
@@ -25,21 +24,18 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefits.cc
  
-$(SOPHYAOBJP)fabtcolread.o: fabtcolread.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)fabtcolread.o: fabtcolread.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h fabtcolread.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -48,21 +44,18 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtcolread.cc
  
-$(SOPHYAOBJP)fabtwriter.o: fabtwriter.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)fabtwriter.o: fabtwriter.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h fabtwriter.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -71,21 +64,18 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtwriter.cc
  
-$(SOPHYAOBJP)fboloread.o: fboloread.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)fboloread.o: fboloread.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h fboloread.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h fabtcolread.h \
@@ -94,7 +84,7 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fboloread.cc
  
-$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h fbtntintf.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -104,22 +94,44 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fbtntintf.cc
  
-$(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h fitsautoreader.h \
+$(SOPHYAOBJP)fiosinit.o: fiosinit.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h fiosinit.h \
+  $(SOPHYAINCP)sophyainit.h fitsmanager.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitshdtable.h \
+  $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitshandler.h fitsarrhand.h \
+  fitsblkrw.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosinit.cc
+ 
+$(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h fitsautoreader.h \
   $(SOPHYAINCP)anydataobj.h fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  fitsinoutfile.h $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)utilarr.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -132,10 +144,8 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)HEALPixUtils.h fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h fitslocalmap.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
+  fitsxntuple.h $(SOPHYAINCP)xntuple.h fitslocalmap.h \
   $(SOPHYAINCP)localmap.h fbtntintf.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsautoreader.cc
@@ -144,15 +154,14 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h fitsbntbllineRW.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h fitsbntbllineRW.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  fitsfile.h $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h \
@@ -160,11 +169,10 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbntbllineRW.cc
  
-$(SOPHYAOBJP)fitsfile.o: fitsfile.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+$(SOPHYAOBJP)fitsfile.o: fitsfile.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -173,32 +181,16 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  fitsinoutfile.h $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)strutil.h fitsspherehealpix.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)HEALPixUtils.h
+  $(SOPHYAINCP)strutil.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsfile.cc
  
-$(SOPHYAOBJP)fitshdtable.o: fitshdtable.cc \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)fitshdtable.o: fitshdtable.cc $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -209,44 +201,43 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)segdatablock.h fitsblkrw.h \
-  fitsinoutfile.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsblkrw.h fitsinoutfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitshdtable.cc
  
-$(SOPHYAOBJP)fitsinoutfile.o: fitsinoutfile.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)fitsinoutfile.o: fitsinoutfile.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)anydataobj.h fitsinoutfile.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsinoutfile.cc
  
-$(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h fitslocalmap.h \
+$(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h fitslocalmap.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)localmap.h \
   $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -256,47 +247,40 @@
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h fitsinoutfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitslocalmap.cc
  
-$(SOPHYAOBJP)fitsmanager.o: fitsmanager.cc \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)sopnamsp.h fitsmanager.h \
-  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h \
+$(SOPHYAOBJP)fitsmanager.o: fitsmanager.cc $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)sopnamsp.h fitsmanager.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsmanager.cc
  
-$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)mutyv.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
+$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h fitsntuple.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  fitsfile.h $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
@@ -306,18 +290,17 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h fitsspherehealpix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -325,11 +308,9 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)HEALPixUtils.h fitsfile.h \
+  $(SOPHYAINCP)HEALPixUtils.h fitsfile.h fitsinoutfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
@@ -340,18 +321,16 @@
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
-  fitsspherethetaphi.h \
+  $(SOPHYAINCP)osx_values.h fitsspherethetaphi.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -359,64 +338,71 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h fitsinoutfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherethetaphi.cc
  
-$(SOPHYAOBJP)fitsswapper.o: fitsswapper.cc fitsswapper.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)swsegdb.h \
-  $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)sopnamsp.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsswapper.cc
- 
-$(SOPHYAOBJP)fitstarray.o: fitstarray.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)fitstarray.o: fitstarray.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pexceptions.h fitstarray.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h fitsinoutfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitstarray.cc
  
-$(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h fitsxntuple.h \
+$(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h fitsxntuple.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  fitsfile.h $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
+ 
+$(SOPHYAOBJP)swfitsdtable.o: swfitsdtable.cc swfitsdtable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
- 
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)swsegdb.h \
+  fitsswapper.h fitsinoutfile.h $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h fitsblkrw.h \
+  $(SOPHYAINCP)sopnamsp.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swfitsdtable.cc
+ 
